import request from '@/utils/request'

// 查询 IDC单位列表
export function listIdcdw(query) {
  return request({
    url: '/tcZz/networkSecurity/idcdw/list',
    method: 'get',
    params: query
  })
}

// 查询 IDC单位详细
export function getIdcdw(id) {
  return request({
    url: '/tcZz/networkSecurity/idcdw/' + id,
    method: 'get'
  })
}

// 新增 IDC单位
export function addIdcdw(data) {
  return request({
    url: '/tcZz/networkSecurity/idcdw',
    method: 'post',
    data: data
  })
}

// 修改 IDC单位
export function updateIdcdw(data) {
  return request({
    url: '/tcZz/networkSecurity/idcdw',
    method: 'put',
    data: data
  })
}

// 删除 IDC单位
export function delIdcdw(id) {
  return request({
    url: '/tcZz/networkSecurity/idcdw/' + id,
    method: 'delete'
  })
}
